linkAnalysis = function (url) {
    if(url == undefined || url == "")
        return false
    var base64Pattern = /^([A-Za-z0-9+/]{4})*([A-Za-z0-9+/]{4}|[A-Za-z0-9+/]{3}=|[A-Za-z0-9+/]{2}==)$/;
    if(base64Pattern.test(url)){
      url=decodeURIComponent(escape(window.atob(url)))
    }
    var urlExp = {
        thread_exp: /\/\/(\w+.\w+.com)\/(wap\/)?forum-([1-9][0-9]*)-thread-([1-9][0-9]*)-([1-9][0-9]*)-([1-9][0-9]*).html[^#]*(#([1-9][0-9]*))?([\?&amp;](.*))?$/i,
        owner_exp: /\/\/(\w+.\w+.com)\/(wap\/)?forum-([1-9][0-9]*)-thread-([1-9][0-9]*)-showthread-([1-9][0-9]*)-puid-([1-9][0-9]*)-([1-9][0-9]*)-([1-9][0-9]*).html(#([1-9][0-9]*))?([\?&amp;](.*))?$/i,
        forumList_exp: /\/\/(\w+.\w+.com)\/(wap\/)?forum-([1-9][0-9]*)-([1-9][0-9]*).html([\?&amp;](.*))?$/i,
        boardList: /\/r\/([1-9][0-9]*)\/(\w+)([-0-9]*).html([\?&amp;](.*))?$/i,
        boardNearbyHome: /\/\/\w+.\w+.com\/(wap\/)?board-([1-9][0-9]*)-([1-9][0-9]*).html\?param=([\s\S]*)/i,
        wapBoardList: /\/\/\w+.\w+.com\/(wap\/)?board-([1-9][0-9]*)-([1-9][0-9]*).html([\?&amp;](.*))?$/i,
        board_exp: /(\/\/(\w+.\w+.com))?\/(wap\/)?board-([1-9][0-9]*)-thread-([1-9][0-9]*)-([1-9][0-9]*).html([\?&amp;](.*))?$/i,
        board_replay_exp: /\/r\/([1-9][0-9]*)\/(\w+).html\?fid=([1-9][0-9]*)&tid=([1-9][0-9]*)&bid=([1-9][0-9]*)&source=[0-9](&page=([1-9][0-9]*))*(&pid=([1-9][0-9]*))*/i,
        post_exp: /(\/\/(\w+.\w+.com))?(\/board)?\/redirect\/post\?fid=([1-9][0-9]*)&tid=([1-9][0-9]*)&pid=([1-9][0-9]*)/i,
        usrHome_exp: /(\/\/(\w+.\w+.com))?\/user\/(profile|thread)-([1-9][0-9]*)-([1-9][0-9]*).html/i,
        wapHome_exp: /\/wap\/user\/profile\/index\?uid=([1-9][0-9]*)/i,
        InviteRegister2HomeUser: /\/\/(\w+.\w+.com)\/wap\/phone\/register\?invite=([1-9][0-9]*)&/i,
        private_exp: /\/u\/msg\/send\?toUid=([0-9]+)|\/msg\/chat\/dialog\/([0-9]+)/i,
        local_exp: /nineteenlou:\/\/(\w+)(-([^-]*))*/i,
        suport_exp: /\/\/(\w+.\w+.com)\/support*|\/corp\/contact$/i,
        publish_exp: /\/\/(\w+.\w+.com)(\/wap)?\/(thread\/category\/normal|board)\/publish\?(fid|bid)=([1-9][0-9]*)/i,
        user_fans: /\/\/(\w+.\w+.com)(\/u)?\/user\/fans*/i,
        eduList: /\/\/(\w+.\w+.com)\/edu\/organ\/wap\/list*/i,
        louTopicList: /\w+.\w+.com\/app\/lou-(.*)-1.html\?topicTitle=([^&]*)/i,
        louTopicListEncode: /\w+.\w+.com\/app\/lou-(.*)-1.html\?topicTitleEncode=([^&]*)/i,
        louDetail: /(\w+.\w+.com)?\/app\/lou-([1-9][0-9]*)-thread-([1-9][0-9]*)-([1-9][0-9]*).html/i,
        diamondRanking: /\/\/(\w+.\w+.com)\/app\/diamondRanking.html/i,
        gotoOldVC: /\/\/(\w+.\w+.com)\/app\/gotoOldVC.html/i,
        commentDetail: /(\w+.\w+.com)?\/app\/board-([1-9][0-9]*)-comment-([1-9][0-9]*)-([1-9][0-9]*).html/i,
        commentList: /(\w+.\w+.com)?\/app\/comment-([1-9][0-9]*)-list.html(\?designerId=([0-9]*))?/i,
        newTagsList: /(\w+.\w+.com)?(\/wap)?\/newtag-thread-([1-9][0-9]*)-([1-9][0-9]*)/i,
        gotoGather: /(\w+.\w+.com)\/app\/gather-([1-9][0-9]*)-([1-9][0-9]*)-([1-9][0-9]*).html/i,
        he_medal: /\/\/(\w+.\w+.com)\/app\/user\/medal-([0-9]+)-1.html\?cityName=([\s\S]*)/i,
        threadRank: /\/\/(\w+.\w+.com)\/app\/threadRank-([0-9]+)-1.html\?cityName=([\s\S]*)/i,
        loveAuthIndex: /\/\/(\w+.\w+.com)\/app\/love\/auth\/index.html/i,
        app_Mini_local:/nnappLocal:\/\/(\w+)-(\w+)(-([^\s]*))*/i,
        app_Mini:/nnapp:\/\/(\w+)-(\d)(-([^\s]*))*/i,
        mini_program: /miniPrograme:\/\/(\w+)-([^\s]*)/i,
        love_detail: /\/\/love.19lou.com\/detail\/([0-9]+)/i,
        secondLou:/https:\/\/(\w+.19lou.com(\/hangzhou)?)\/?$/i,
        comment_exp : /(\/\/(\w+.\w+.com))?(\/board)?\/redirect\/comment\?fid=([1-9][0-9]*)&tid=([1-9][0-9]*)&pid=([1-9][0-9]*)/i
    }
    var ua = navigator.userAgent;
    var appVersion = [];
    var louMap = {
        '23011573796131009': "s6",
        '73001576487760051': "hangzhou",
        '48011576488296924': "chongqing",
        '48021576491527492': "jiaxing",
        '53011576487599795': "taizhou",
        '108001576637945804': "cc"
    }
    var r = ua.match(/nineteenlou\/([0-9]+)\.([0-9]+)\.*([0-9]*)/);
    if (r != null) {
        appVersion[0] = parseInt(r[1]);
        appVersion[1] = parseInt(r[2]);
        appVersion[2] = parseInt(r[3]);
    }
    var m = 0;
    var elem = document.createElement('textarea');
    elem.innerHTML = url
    url = elem.value;
    if(url.indexOf(".pdf") > -1 || url.indexOf(".pptx") > -1 || url.indexOf(".docx") > -1 || url.indexOf(".xlsx") > -1 || url.indexOf(".doc") > -1 || url.indexOf(".ppt") > -1 || url.indexOf(".txt") > -1 || url.indexOf(".xls") > -1){
      bridge("normalInJump",url);
      return false
    }
    if (url.indexOf("toWeb=1") > -1) {
        bridge("gotoWebPage", {
            "title": "",
            "url": url
        });
        m = 1;
    } else {
        for (var e in urlExp) {
            var r = url.match(urlExp[e]);
            if (r != null) {
                m = 1
                switch (e) {
                    case "thread_exp":
                        bridgeGoToThread(r);
                        break;
                    case "owner_exp":
                        bridgeGoToLouzhu(r);
                        break;
                    case "forumList_exp":
                        bridgeGoToForum(r);
                        break;
                    case "boardNearbyHome":
                        gotoNearbyHome(r);
                        break;
                    case "boardList":
                        bridgeGoToBoardList(r);
                        break;
                    case "wapBoardList":
                        bridgeGoToBoardList(r);
                        break;
                    case "board_exp":
                        bridgeGotoBoard(r);
                        break;
                    case "usrHome_exp":
                        bridgeGotoUser(r);
                        break;
                    case "wapHome_exp":
                        bridgeGotoUser(r);
                        break;
                    case "post_exp":
                        bridgeGoToPostThread(r);
                        break;
                    case "board_replay_exp":
                        bridgeGoToBoardThread(r);
                        break;
                    case "private_exp":
                        bridgeGoToPrivateLetter(r);
                        break;
                    case "local_exp":
                        bridgeGoToLocal(r);
                        break;
                    case "suport_exp":
                        bridge("gotoAdvice", "null");
                        break;
                    case "publish_exp":
                        bridgeGoToPublish(r);
                        break;
                    case "user_fans":
                        bridge("goToFans", "null");
                        break;
                    case "eduList":
                        bridge("gotoChoiceClass", "null");
                        break;
                    case "InviteRegister2HomeUser":
                        bridgeInviteRegisterGotoUser(r);
                        break;
                    case "louTopicList":
                        bridge("goToLouCircleTopic", {
                            cityName: r[1],
                            topicTitle: decodeURIComponent(r[2])
                        });
                        break;
                    case "louTopicListEncode":
                        bridge("goToLouCircleTopic", {
                            cityName: r[1],
                            topicTitle: window.decodeURI(atob(r[2]))
                        });
                        break;
                    case "louDetail":
                        bridgeGoToLouThread(r,'lou');
                        break;
                    case 'commentDetail':
                        bridgeGoToLouThread(r,'evaluation');
                        break;
                    case 'commentList':
                        bridgeGoToCommentsList(r);
                        break;
                    case 'newTagsList':
                        bridgeGoToNewTagsList(r);
                        break;
                    case 'gotoGather':
                        bridgeGoToGather(r);
                        break;
                    case "he_medal":
                        bridgeGoToUserMedal(r)
                        break;
                    case "threadRank":
                        bridgeGoToThreadRank(r)
                        break;
                    case "mini_program":
                        bridgeToMIni(r)
                        break;
                    case "love_detail":
                        bridgeToLoveDetail(r)
                        break;
                    case "app_Mini":
                        bridgeToAppMini(r)
                        break;
                    case "app_Mini_local":
                        bridgeToAppMiniLocal(r)
                        break;
                    case "secondLou":
                        bridgeToSecond(r)
                        break;
                    case "comment_exp":
                        bridgeComment(r);
                        break;
                    case "diamondRanking":
                        bridge("diamondRanking",r);
                        break;
                    case "gotoOldVC":
                      bridge("gotoOldVC", "null");
                      break;
                    case "loveAuthIndex":
                        bridge("loveAuthIndex",r);
                        break;
                }
                return;
            }
        }
    }
    if (m == 0) {
        if (url.indexOf("m.19lou.com/d") > -1) {
            var option = {
                showType: "", //showType :0 启动客户端 1(帖子详情页) 2（论坛页面） 3（生活馆页）4（小说详情页）6(跳转到我家)  7兴趣圈 8 圈圈 9 创建兴趣圈 10 消息列表 12二维码他家
                threadUrl: "",
                type: 0,
                cityName: "",
                bdName: "",
                fid: "",
                tid: "",
                pid: 0,
                page: 1,
                location: ''
            }
            for (var p in option) {
                var value = getQueryString(p, url)
                if (value != "")
                    option[p] = value;
            }
            if (option.threadUrl != "") {
                if (option.showType == "12") {
                    var rJson = {};
                    rJson.url = option.threadUrl;
                    bridge("gotoUser", rJson);
                } else {
                    bridge("gotoWebPage", {
                        "title": "",
                        "url": unescape(option.threadUrl)
                    });
                }
            } else {
                if (option.showType == "1") {
                    var rJson = {};
                    rJson.domain = getDomainByCityName(option.cityName);
                    rJson.fid = option.fid;
                    rJson.tid = option.tid;
                    rJson.page = option.page;
                    rJson.pid = option.pid;
                    bridge("threadInJump", rJson);
                } else if (option.showType == "2") {
                    var rJson = {};
                    rJson.domain = getDomainByCityName(option.cityName);
                    rJson.fid = option.fid;
                    rJson.forumName = "";
                    bridge("gotoForum", rJson);
                } else if (option.showType == "7") {
                    bridge("gotoBoardList", option.fid)
                } else if (option.showType != "0") {
                    bridge("gotoWebPage", {
                        "title": "",
                        "url": url
                    });
                }
            }
        } else if (url.indexOf("javascript") == -1) {
            if(url.indexOf("//") == 0){
                url = 'https:' + url
            }
            if(url.indexOf("s.click.taobao.com")>-1 || url.indexOf("uland.taobao.com")>-1 ){
                bridge("normalInJump",url)
            }else{
                var whiteDomain = /.19louimg.cn|.19lou.com|.citysbs.com|.cqmmgo.com|.cqmmgo.cn|.9yread.com|bdy.19lou.cn|nltg.zj12580.cn|19lou.ujinli.com/i
                if(!whiteDomain.test(url))
                    url = "https://www.19lou.com/topic/html/2021/appjump.html?jumpUrl=" + encodeURIComponent(url)
                if(url.indexOf('http') == 0)
                    bridge("gotoWebPage", {
                        "title": "",
                        "url": url
                    });
            }

        }
    }

    function getDomainByCityName(cityname) {
        var cityList = new Array();
        cityList["hangzhou"] = "www.19lou.com";
        cityList["chongqing"] = "go.cqmmgo.com";
        cityList["taizhou"] = "taizhou.19lou.com";
        cityList["jiaxing"] = "jiaxing.19lou.com";
        cityList["ningbo"] = "ningbo.19lou.com";
        cityList["shaoxing"] = "shaoxing.19lou.com";
        cityList["huzhou"] = "huzhou.19lou.com";
        cityList["wenzhou"] = "wenzhou.19lou.com";
        cityList["jinhua"] = "jinhua.19lou.com";
        cityList["zhoushan"] = "zhoushan.19lou.com";
        cityList["quzhou"] = "quzhou.19lou.com";
        cityList["lishui"] = "lishui.19lou.com";
        cityList["xiaoshan"] = "xiaoshan.19lou.com";
        cityList["yuhang"] = "yuhang.19lou.com";
        cityList["linan"] = "linan.19lou.com";
        cityList["fuyang"] = "fuyang.19lou.com";
        cityList["tonglu"] = "tonglu.19lou.com";
        cityList["jiande"] = "jiande.19lou.com";
        cityList["ssh"] = "www.shanghaining.com";
        cityList["suzhou"] = "suzhou.19lou.com";
        cityList["fz"] = "www.ihome99.com";
        cityList["qz"] = "www.0595bbs.cn";
        cityList["jiaju"] = "home.19lou.com";
        cityList["cc"] = "cc.19lou.com";
        return cityList[cityname];
    }

    function getCityNameByDomain(domain){
        var siteMap = {
            'www.ihome99.com': 'fz',
            'demo.19lou.com': 'demo',
            'nt.19lou.com': 'nt',
            'suzhou.19lou.com': 'suzhou',
            'taizhou.19lou.com': 'taizhou',
            'lishui.19lou.com': 'lishui',
            'www.qvbuy.com': 'tj',
            'jiande.19lou.com': 'jiande',
            'wuhan.19lou.com': 'wuhan',
            'luban.19lou.com': 'luban',
            'go.cqmmgo.com': 'chongqing',
            'zhoushan.19lou.com': 'zhoushan',
            'www.shanghaining.com': 'shh',
            'home.19lou.com': 'jiaju',
            'fanwai.19lou.cn': 'fanwai',
            'putian.19lou.com': 'putian',
            'support.19lou.com': 'support',
            'jinhua.19lou.com': 'jinhua',
            'sansha.19lou.com': 'sansha',
            'huzhou.19lou.com': 'huzhou',
            'zz.19lou.com': 'zz',
            'guangzhou.19lou.com': 'guangzhou',
            'rizhao.19lou.com': 'rizhao',
            'taiyuan.19lou.com': 'taiyuan',
            'fuyang.19lou.com': 'fuyang',
            'linan.19lou.com': 'linan',
            'haining.19lou.com': 'haining',
            'shaoxing.19lou.com': 'shaoxing',
            'beijing.19lou.com': 'beijing',
            'www.19yuedu.com': 'novel',
            'cc.19lou.com': 'cc',
            'tiaozao.19lou.com': 'tiaozao',
            'quzhou.19lou.com': 'quzhou',
            'yuhang.19lou.com': 'yuhang',
            'yangzhou.19lou.com': 'yangzhou',
            'www.19lou.com': 'hangzhou',
            'ningbo.19lou.com': 'ningbo',
            'www.0595bbs.cn': 'qz',
            'wenzhou.19lou.com': 'wenzhou',
            'chuzhou.19lou.com': 'chuzhou',
            'hefei.19lou.com': 'hefei',
            'xiaoshan.19lou.com': 'xiaoshan',
            'shijiazhuang.19lou.com': 'shijiazhuang',
            'chunan.19lou.com': 'chunan',
            'yiwu.19lou.com': 'yiwu',
            'jiaxing.19lou.com': 'jiaxing',
            'tonglu.19lou.com': 'tonglu',
            'nanjing.19lou.com': 'nanjing',
            'anji.19lou.com': 'anji',
          }
          return siteMap[domain] || 'hangzhou'
    }

    function getQueryString(name, url) {
        var reg = new RegExp(name + "=([^&]*)(&|$)", "i");
        var r = url.match(reg);
        if (r != null) return unescape(r[1]);
        return "";
    }
    function bridgeComment(r) {
        var domain = r[2] == undefined?"www.19lou.com":r[2];
        bridge("gotoWebPage",{title:"点评详情",url:'https://'+domain+'/wap/board-'+r[4]+'-comment-'+r[5]+'-1.html'})
    }
    function bridgeToSecond(r){
        var secondMap = {
            'news.19lou.com':'news1',
            'baby.19lou.com':'baby1',
            'love.19lou.com':'love3',
            'food.19lou.com':'food2',
            'tour.19lou.com':'food2',
            'photo.19lou.com':'food2',
            'pet.19lou.com':'food2',
            'fashion.19lou.com':'fashion2',
            'health.19lou.com':'fashion2',
            'ent.19lou.com':'sweet1',
            'home.19lou.com/hangzhou':'home1',
            'marry.19lou.com':'marry1',
            'edu.19lou.com':'edu2',
            'house.19lou.com':'house',
            'auto.19lou.com':'house',
            'zufang.19lou.com':'house3'
        }
        var set_id = secondMap[r[1]];
        if(set_id){
            connectWebViewJavascriptBridge(function (bridge) {
                var _cityName = ''
                if(window.config && window.config.keyData){
                    //帖子页安卓不支持bridge.getLocalCityName，跳转cityname取config.keyData.localCityName的值
                    _cityName = window.config.keyData.localCityName
                }else{
                    try{
                        _cityName = bridge.getLocalCityName()
                    }catch(e){

                    }
                }
                if(_cityName == 'hangzhou'){
                    bridge.gotoLocalPage(JSON.stringify({
                        type:'second',
                        param: {id: set_id}
                    }))
                }else{
                    bridge.createWebPage('','https://www.19lou.com/wap/second/'+set_id+'.html');
                }
            });
        }else{
            bridge("gotoWebPage", {
                "title": "",
                "url": url
            });
        }
    }
    function bridgeGoToLocal(r) {
        switch (r[1]) {
            case 'HtmlFile':
                if (r[3] != undefined) bridge("HtmlFile", r[3]);
                break;
            case "activity":
                bridge("activity", "null");
                break;
            case "square":
                bridge("square", "null");
                break;
            case "sign":
                bridge("sign", "null");
                break;
            case "shopListDesgin":
                bridge("shopListDesgin", "null");
                break;
            case "goldTask":
                bridge("goldTask", "null");
                break;
            case "novel":
                bridge("novel", "null");
                break;
            case "homeBottomTab":
                bridge("homeBottomTab", JSON.stringify({
                    "position": r[3]
                }));
                break;
            case "homeTab":
                if (r[3] != undefined) bridge("homeTab", r[3]);
                break;
            case "createCircle":
                bridge("createCircle", JSON.stringify({}));
                break;
            case "experienceList":
                bridge("experienceList", "null");
                break;
            case "findWelfare":
                if (r[3] != undefined) bridge("findWelfare", r[3]);
                break;
            case "diamondRanking":
                bridge("diamondRanking", "null");
                break;
            case "diamondRankingRule":
                bridge("diamondRankingRule", "null");
                break;
            case "signNew":
                bridge("signNew", "null");
                break;
            case "signNewList":
                bridge("signNewList", "null");
                break;
            case "myDiamond":
                bridge("myDiamond", "null");
                break;
            case "loucircle":
                bridge("goToLouCircle", JSON.stringify({
                    cityName: r[3]
                }));
                break;
            default:
                if (r[3] != undefined)
                    bridge("gotoLocalPage", JSON.stringify({
                        type: r[1],
                        param: {
                            id: r[3]
                        }
                    }));
                else
                    bridge("gotoLocalPage", JSON.stringify({
                        type: r[1],
                        param: {}
                    }));
        }
    }

    function bridgeGoToPrivateLetter(r) {
        var _uid = r[1] ? r[1] : r[2]
        bridge("gotoPrivateLetter", _uid);
    }

    function bridgeGoToThread(r) {
        var rJson = {};
        rJson.domain = r[1];
        rJson.fid = r[3];
        rJson.tid = r[4];
        rJson.page = r[5];
        rJson.pid = 0;
        if(rJson.fid==164){
            if(appVersion.join("") < 928){
                bridgeToMIni(['','gh_6c6a06f921ea','/pages/jump/jump?tid='+rJson.tid])
            }else{
                bridgeToMIni(['','gh_6c6a06f921ea','pages/detail/detail?tid='+rJson.tid])
            }
            return
        }
        if (r[8] != undefined) rJson.pid = r[8];
        if(url.indexOf('showStage=1') > -1)
            rJson.param = {isDiaryAll:'false'}
        else
            rJson.param = {isDiaryAll:'true'}
        var _r = url.match(/openType=([^&]*?)&|openType=(.*?)$/)
        if(_r){
            rJson.param = {openType:_r[1]}
        }
        bridge("threadInJump", rJson);
    }

    function bridgeGoToLouThread(r, type) {
        var rJson = {};
        rJson.domain = r[1];
        rJson.fid = r[2];
        rJson.tid = r[3];
        rJson.page = r[4];
        rJson.pid = 0;
        rJson.type = type;
        if(type == 'evaluation' && appVersion.join("") < 903){
            bridge("gotoWebPage",{title:"点评详情",url:'https://'+rJson.domain+'/app/board-'+rJson.fid+'-comment-'+rJson.tid+'-1.html'})
        }else{
            bridge("threadInJump", rJson);
        }
    }

    function bridgeGoToCommentsList(r){
        var domain = r[1]
        var fid = r[2]
        var cityName = getCityNameByDomain(domain)
				var designerId = 0
				if(r.length>4){
					designerId = r[4]
				}
        if(appVersion.join("") < 903){
					var j_url = 'https://'+domain+'/app/comment-'+fid+'-list.html'
					if(designerId){
						j_url = j_url +'?designerId=' + designerId
					}
            bridge("gotoWebPage",{title:"点评列表",url:j_url})
        }else{
					var j_url = 'dist/index.html#/app/comment-'+fid+'-list.html?cityName='+cityName+''
					if(designerId){
						j_url = j_url +'&designerId=' + designerId
					}
					bridge("commentHtmlFile",j_url);
        }
    }
    function bridgeGoToNewTagsList(r){
        var domain = r[1]
        var tagId = r[3]
        var cityName = getCityNameByDomain(domain)
        bridge("gotoNewTagsList",{tagId:tagId,cityName:cityName})
    }

    function bridgeGoToGather(r){
      var uid = r[2]
      var gatherId = r[3]
      bridge("gotoGather",{gatherId:gatherId,uid:uid})
    }

    function bridgeGoToBoardThread(r) {
        var rJson = {};
        rJson.domain = "www.19lou.com";
        rJson.fid = r[3];
        rJson.tid = r[4];
        rJson.page = 1;
        rJson.pid = r[9] != undefined ? r[9] : 0;
        if(url.indexOf('showStage=1') > -1)
            rJson.param = {isDiaryAll:'false'}
        else
            rJson.param = {isDiaryAll:'true'}
        if (louMap[rJson.fid.toString()])
            rJson.type = "lou"
        bridge("threadInJump", rJson);
    }

    function bridgeGoToLouzhu(r) {
        var rJson = {};
        rJson.domain = r[1];
        rJson.fid = r[3];
        rJson.tid = r[4];
        rJson.puid = r[5];
        rJson.page = r[7];
        rJson.pid = 0;
        if (r[10] != undefined) rJson.pid = r[10];
        bridge("threadInJump", rJson);
    }

    function bridgeGotoBoard(r) {
        var rJson = {};
        rJson.domain = (r[2]==undefined?"www.19lou.com":r[2]);
        rJson.fid = r[4];
        rJson.tid = r[5];
        rJson.page = r[6];
        rJson.pid = 0;
        if(url.indexOf('showStage=1') > -1)
            rJson.param = {isDiaryAll:'false'}
        else
            rJson.param = {isDiaryAll:'true'}
        bridge("threadInJump", rJson);
    }

    function bridgeGoToUserMedal(r) {
        var rJson = {};
        rJson.userId = r[2]
        rJson.cityName = r[3]
        bridge("gotoMedal", rJson);
    }
    function bridgeGoToThreadRank(r) {
        var rJson = {};
        rJson.topId = r[2]
        rJson.cityName = r[3]
        bridge("threadRank", rJson);
    }

    function bridgeGoToForum(r) {
        var rJson = {};
        rJson.forumName = "";
        rJson.domain = r[1];
        rJson.fid = r[3];
        bridge("gotoForum", rJson);
    }

    function gotoNearbyHome(r) {
        var param = r[4].split("&")[0];
        bridge("gotoNearbyHome", param);
    }

    function bridgeGoToBoardList(r) {
        var data = {};
        var bid = r[2];
        if (!isNaN(bid))
            data.bid = bid;
        else {
            data.domain = bid;
            bid = "https://www.19lou.com" + r[0];
        }
        connectWebViewJavascriptBridge(function (bridge) {
            var apiKey = eval('(' + bridge.getClientkey() + ')');
            apiKey.sign = 1;
            data = $.extend(data, apiKey)
        });
        $.ajax({
            contentType: "application/json",
            type: "GET",
            url: "https://www.19lou.com/api/board/getBoardByDomain",
            data: data,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function (res) {
                if (res.code == "1") {
                    if (res.board.is_pic_show)
                        bridge("gotoBlueprintSquare", bid)
                    else if (res.board.board_type == "8")
                        bridge("gotoBusinessCircle", bid)
                    else
                        bridge("gotoBoardList", bid)
                } else {
                    bridge("gotoBoardList", bid)
                }
            },
            error: function (e) {
                bridge("gotoBoardList", bid)
            }
        })
    }

    function bridgeGoToPostThread(r) {
        var rJson = {};
        rJson.domain = r[2];
        rJson.fid = r[4];
        rJson.tid = r[5];
        rJson.page = 1;
        rJson.pid = r[6];
        if (rJson.domain == undefined) rJson.domain = "www.19lou.com";
        if (louMap[rJson.fid.toString()]){
            rJson.type = "lou";
            bridge("threadInJump", rJson);
        }else{
            if(url.indexOf('showStage=1') > -1)
                rJson.param = {isDiaryAll:'false'}
            else
                rJson.param = {isDiaryAll:'true'}
            var data = {tid:rJson.tid,pid:rJson.pid}
            connectWebViewJavascriptBridge(function (bridge) {
                var apiKey = eval('(' + bridge.getClientkey() + ')');
                apiKey.sign = 1;
                data = $.extend(data, apiKey)
            });
            var _url = "https://"+ rJson.domain +"/api/thread/getPost"
            if(rJson.fid.toString().length >= 8){
                    //圈子
                _url = "https://"+ rJson.domain + "/api/board/getBoardPost"
            }
            $.ajax({
                contentType: "application/json",
                type: "GET",
                url: _url,
                data: data,
                dataType: 'jsonp',
                jsonp: "clientjsonp",
                success: function (res) {
                    if(res.is_second){
                        if (appVersion[0] >= 9) {
                            rJson.type = "reply";
                            bridge("threadInJump", rJson);
                        }else {
                            connectWebViewJavascriptBridge(function(bridge){
                                bridge.showToast("下载最新版才可以查看该条内容哦");
                            })
                            setTimeout(function(){
                                bridge("normalInJump","https://m.19lou.com");
                            },2000)
                        }
                    }else{
                        bridge("threadInJump", rJson);
                    }
                },
                error: function (e) {
                    bridge("threadInJump", rJson);
                }
            })

        }

    }

    function bridgeGotoUser(r) {
        var rJson = {};
        if(r.length > 2){
            if (r[2])
                rJson.domain = r[2];
            rJson.uid = r[4];
        }else{
            rJson.uid = r[1];
        }
        bridge("gotoUser", rJson);
    }

    function bridgeInviteRegisterGotoUser(r) {
        var rJson = {};
        rJson.domain = r[1];
        rJson.uid = r[2]
        bridge("gotoUser", rJson);
    }

    function bridgeGoToPublish(r) {
        var rJson = {};
        rJson.domain = r[1];
        rJson.fid = r[5]
        bridge("gotoPostThread", rJson);
    }
    function bridgeToAppMini(r){
        const appId = r[1]
        const appType = r[2]
        const path = r[4]
        if(appId==127 && appVersion.join("") < 928){
            const mini_path = path || '/pages/home/home'
            const mini_data = [
                '',
                'gh_6c6a06f921ea',
                mini_path
            ]
            bridgeToMIni(mini_data)
            return
        }
        connectWebViewJavascriptBridge(function (bridge) {
            var data= {appId:appId,appType:appType,path:path}
            bridge.openOnLineUniApp(JSON.stringify(data))
        })
    }
    function bridgeToAppMiniLocal(r){
        const appId = r[1]
        const appType = r[2]
        const path = r[4]
        if(appId==127 && appVersion.join("") < 928){
            const mini_path = path || '/pages/home/home'
            const mini_data = [
                '',
                'gh_6c6a06f921ea',
                mini_path
            ]
            bridgeToMIni(mini_data)
            return
        }
        connectWebViewJavascriptBridge(function (bridge) {
            var data= {appId:appId,uniAppId:appType,path:path}
            bridge.openLocalUniApp(JSON.stringify(data))
        })
    }
    function bridgeToMIni(r) {
        if(r.length>1){
        	const miniMap = {
        		'gh_5fab29f85fb1':'19楼直播',
        		'gh_4f98c122f6d9':'19优选团',
        		'gh_108b3e99d0e3':'19楼装修大管家',
        		'gh_3fcda3639ad9':'19楼结婚采购大会',
        		'gh_9608d081f848':'重庆购物狂网上婚博会',
        		'gh_a4f175e19e9c':'重庆购物狂超级购',
        		'gh_c405be9952ec':'19楼装修超级购',
        		'gh_a14db52bbac7':'台州19楼',
        		'gh_457bd4d27eca':'19楼论坛',
            'gh_c892fc1eb31b':'19楼生活馆',
            'gh_50154a008d32':'心选优品好店',
            'gh_d878282fd81d':'好爱装live',
            'gh_6c6a06f921ea':'爱情幸运号',
            'gh_dc0db5401bcf':'台州19楼优选',
            'gh_19d0abc9643f':'台州19楼相亲',
            'gh_9e71e76fb977':'十九楼小卖部',
            'gh_4958e7b0bcbb':'杭州连天美商城',
            'gh_7a4077b802f4':'杭州维多利亚医疗美容医院',
            'gh_6506303a12bb':'饿了么|外卖美食超市买菜水果',
            'gh_c5a72ff85536':'重庆立招人才网',
          }
        	const miniId = r[1]
        	const miniName = miniMap[miniId]

    		var path = decodeURIComponent(r[2])
    		path = path.replace('mini_cityname','cityname')
    		path = path.replace('mini_tid','tid')
        	if(miniName){
                if(miniId == 'gh_6c6a06f921ea' && appVersion.join("") >= 928){
                    const j_data = [
                        '',
                        '127',
                        '2',
                        '',
                        path
                    ]
                    bridgeToAppMini(j_data)
                    return
                }
        		bridge("callMiniProgram", {
        		    id: miniId,
        		    path: path,
        		    name: miniName
        		});
        	}
        }
    }

    function bridgeToLoveDetail(r) {
        if(r.length>1){
        	const uid = r[1]
        	bridgeToMIni(['','gh_6c6a06f921ea','pages/detail/detail?uid='+uid])
        }
    }

    function bridge(type, data) {
        if (data != "" && data != {}) {
            connectWebViewJavascriptBridge(function (bridge) {
                switch (type) {
                    case 'threadInJump':
                        bridge.threadInJump(JSON.stringify(data));
                        break;
                    case 'gotoForum':
                        bridge.gotoForum(JSON.stringify(data));
                        break;
                    case 'gotoBoardList':
                        bridge.gotoInterestGroupList(data);
                        break;
                    case 'gotoWebPage':
                        bridge.createWebPage(data.title, data.url.replace(/(^\s*)|(\s*$)/g, ""));
                        break;
                    case 'gotoUser':
                        if (appVersion[0] >= 6) {
                            bridge.gotoUserForJson(JSON.stringify(data));
                        } else {
                            bridge.gotoUser(data.uid);
                        }
                        break;
                    case 'gotoPrivateLetter':
                        bridge.gotoPrivateLetter(data);
                        break;
                    case "sign":
                        bridge.jumpHtmlFile("签到", "sign.html", {
                            isLogin: true
                        });
                        break;
                    case "signNew":
                        bridge.jumpHtmlFile('签到日历', 'dist/index.html#/app/sign.html', JSON.stringify({ isLogin: true , isHide:true }));
                        break;
                    case "signNewList":
                        bridge.jumpHtmlFile('签到排行榜', 'dist/index.html#/app/signList.html', JSON.stringify({ isLogin: true , isHide:true }));
                        break;
                    case "shopListDesgin":
                        bridge.jumpHtmlFile("找设计", "business_shoplist_desgin.html", "{'type':'2'}");
                        break;
                    case "square":
                        bridge.gotoSquare();
                        break;
                    case "activity":
                        bridge.gotoActivity();
                        break;
                    case "goldTask":
                        bridge.gotoGoldTask();
                        break;
                    case "novel":
                        bridge.gotoNovel();
                        break;
                    case "homeBottomTab":
                        bridge.gotoHomeBottomTab(data);
                        break;
                    case "homeTab":
                        bridge.gotoHomeTab(data);
                        break;
                    case "createCircle":
                        bridge.createCircle(data);
                        break;
                    case "gotoBusinessCircle":
                        bridge.gotoBusinessCircle(data);
                        break;
                    case "gotoBlueprintSquare":
                        bridge.gotoBlueprintSquare(data);
                        break;
                    case "gotoAdvice":
                        bridge.gotoAdvice();
                        break;
                    case "experienceList":
                        bridge.jumpHtmlFile("19楼体验活动", "experience_list.html", JSON.stringify({
                            isLogin: false
                        }));
                        break;
                    case "gotoPostThread":
                        bridge.gotoPostThread(data)
                        break;
                    case "gotoLocalPage":
                        bridge.gotoLocalPage(data)
                        break;
                    case "findWelfare":
                        bridge.jumpHtmlFile("抢福利", "find_welfare.html", JSON.stringify({
                            categoryParentId: data,
                            isLogin: false
                        }));
                        break;
                    case "goToFans":
                        bridge.goToFans();
                        break;
                    case "gotoChoiceClass":
                        bridge.gotoChoiceClass();
                        break;
                    case "gotoNearbyHome":
                        bridge.gotoNearbyHome(data);
                        break;
                    case "goToLouCircle":
                        bridge.goToLouCircle(data);
                        break;
                    case "goToLouCircleTopic":
                        bridge.goToLouCircleTopic(JSON.stringify(data));
                        break;
                    case "gotoMedal":
                        bridge.goToUserMedal(JSON.stringify(data));
                        break;
                    case "callMiniProgram":
                        bridge.callMiniProgram(JSON.stringify(data));
                        break;
                    case "normalInJump":
                        bridge.normalInJump(data);
                        break;
                    case "systemAlertView":
                        bridge.systemAlertView(JSON.stringify(data))
                        break;
                    case 'HtmlFile':
                        bridge.jumpHtmlFile('', data, {});
                        break;
                    case 'commentHtmlFile':
                        bridge.jumpHtmlFile('点评列表', data, JSON.stringify({
                            isLogin: false
                        }));
                        break;
                    case 'diamondRanking':
                        var _cityName = bridge.getLocalCityName()
                        var diamond_domain = getDomainByCityName(_cityName)
                        var diamondRanking_url = 'https://'+ diamond_domain +'/app/diamondRanking.html?cityName='+_cityName
                        bridge.createWebPage("钻石排行榜", diamondRanking_url, "", JSON.stringify({"params":{"isHasRefresh":true,"isHide":true}}));
                        break;
                    case 'diamondRankingRule':
                        var _cityName = bridge.getLocalCityName()
                        var diamond_domain = getDomainByCityName(_cityName)
                        var diamondRanking_url = 'https://'+ diamond_domain +'/app/diamondRanking.html?cityName='+_cityName+'&goRule=1'
                        bridge.createWebPage("钻石排行榜", diamondRanking_url, "", JSON.stringify({"params":{"isHasRefresh":true,"isHide":true}}));
                        break;
                    case 'myDiamond':
                        bridge.gotoMyDiamond();
                        break;
                    case 'gotoNewTagsList':
                        bridge.gotoTagList(JSON.stringify(data));
                        break;
                    case 'gotoGather':
                        bridge.gotoGather(JSON.stringify(data));
                        break;
                    case 'threadRank':
                        if(Number(appVersion.join("")) >= 920) {
                          bridge.gotoTopList(JSON.stringify(data));
                        }else {
                          bridge.showToast("您的版本太低,请更新至最新APP")
                        }
                        break;
                    case 'gotoOldVC':
                        if(Number(appVersion.join("")) >= 920) {
                          bridge.gotoOldVC();
                        }else {
                          bridge.showToast("您的版本太低,请更新至最新APP")
                        }
                        break;
                    case 'loveAuthIndex':
                        var _cityName = bridge.getLocalCityName()
                        var loveauth_domain = getDomainByCityName(_cityName)
                        var loveauth_url = 'https://'+ loveauth_domain +'/app/love/auth/index.html'
                        bridge.createWebPage("我的认证", loveauth_url, "", JSON.stringify({"params":{"isHasRefresh":false,"isHide":true}}));
                        break;
                }
            });
        }
    }
}
