function createPageWatermark(text){
        
  var  bodyContainer = document.body;
  var ftext = text || '19楼超版'
  var width =130;
  var height =90;
  var x =10;
  var y =80;
  var rotate=-30;
  var fontSize =15;
  var alpha =0.5;//透明度
  var color='#222222'
  var canvas = document.createElement('canvas');
  canvas.setAttribute('width', width);
  canvas.setAttribute('height', height);

   var ctx = canvas.getContext("2d");

   ctx.textAlign = 'top';//在绘制文本时使用的当前文本基线
   ctx.textBaseline = 'left';//设置或返回文本内容的当前对齐方式
   ctx.font = `${fontSize}px PingFangSC-Regular`
   ctx.fillStyle = color;
   ctx.globalAlpha = alpha;//设置或返回绘图的当前 alpha 或透明值
   ctx.rotate(Math.PI / 180 * rotate);//将画布旋转30度
   ctx.fillText(ftext, x, y);
   var base64Url = canvas.toDataURL();
   var base64UrlT = 'url('+base64Url+')'
//    $("#views").css({"background-image":base64UrlT})
//    $("#views").css({"background-repeat":'repeat'})
   var wm = document.getElementById('waterMark');

   var watermarkDiv = wm || document.createElement("div");
   var styleStr = "position:fixed;top:0;left:0;bottom:0;right:0;z-index:99999;pointer-events:none;background-repeat:repeat;background-image:url(" + base64Url + ')'

   watermarkDiv.setAttribute('style', styleStr);
   watermarkDiv.id ='waterMark'

   if (!wm) {
     bodyContainer.appendChild(watermarkDiv)
   }

   const MutationObserver = window.MutationObserver || window.WebKitMutationObserver|| window.MozMutationObserver;//检测浏览器是否支持该特性
   if (MutationObserver) {
     var observer = new MutationObserver(function () {
       var wm = document.getElementById('waterMark');
       // 只在wm元素样式被修改或者元素被移除时
       if ((wm && wm.getAttribute('style') !== styleStr) || !wm) {
         // 避免一直触发
         observer.disconnect();
         observer = null;
         createCanvas()
       }
     });

     observer.observe(bodyContainer, { //监听body元素子元素的变化
       attributes: true,
       subtree: true,
       childList: true
     })
   }

  var styleEl =  document.createElement('style');
  styleEl.setAttribute('type','text/css');
  styleEl.innerText ='@media  print{ #waterMark{ display:none } }';
  document.head.appendChild(styleEl)
}